summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'net-libs')
-rw-r--r--net-libs/rpcsvc-proto/Manifest1
-rw-r--r--net-libs/rpcsvc-proto/rpcsvc-proto-1.4.ebuild29
2 files changed, 30 insertions, 0 deletions
diff --git a/net-libs/rpcsvc-proto/Manifest b/net-libs/rpcsvc-proto/Manifest
index 20274ca2a2b7..6932baf5fa5d 100644
--- a/net-libs/rpcsvc-proto/Manifest
+++ b/net-libs/rpcsvc-proto/Manifest
@@ -1,3 +1,4 @@
DIST rpcsvc-proto-1.2.tar.gz 59883 BLAKE2B 178f9f9fced73dc2e4b587f1bd7924c2811f0b96b5efc048e9a6d3cb4abd32a2c34ff0f5b01576f3dc51f07ca6a06266cd7a055f278f7b205cbb9e30563015e4 SHA512 59e6ac2c3e551daef584878e8ae8fc2da7cb80a04c20f96de561abc972fcfac1fbb57a5ee0dbe7bf5288a1527c9b87fc3f73a259b30393982a9a642cf4b4deb4
DIST rpcsvc-proto-1.3.1.tar.gz 59174 BLAKE2B d50d958cfad79142d686ae6312cdaa6044f1322bc794dbc95c1b78d088396c5adda292c83d150f3502df859c23d4e370894283ae210e5fe9aa1d0e8ed05553d0 SHA512 d687665ed51fd6fd66ab638813c5020f0c8b8491625b91937ac4b5ee4dd2357eae8e2909394e7651494e7aea77a6279ae907ba6354682ba446de7088b55f54ea
DIST rpcsvc-proto-1.3.tar.gz 59202 BLAKE2B 88c74806419e097b20fc41bb63ff66401a6c21a2b7100474e55f1b6452a32d669e879248f00349604237e996167b21b9173158e69876f0db3a1394fb922df7af SHA512 5880ea39a750ee1f69dcedfe32afd617e695ee5328d6386977bbd11babb7bd18d8cb50c2d5f8daf35650aa8a94a4f6dda1171c1159917bb596108b1057c5a158
+DIST rpcsvc-proto-1.4.tar.gz 59127 BLAKE2B 484c04d6a0f86d37c0057693771b7fe502166504fc419bce4dd182f76e349cf226307814a2c51b27fa0bc09e270b883cb40ae821f8bd7d7e0c9a120c4962ae34 SHA512 a29d7761ec9cca4d7d7aa6943a243771a6c7f35d303f01af84f390c8395dc5e543fad7ea28fec1be2f6ee8f2853bf22a157ad3b020057040685b6cbce9b09415
diff --git a/net-libs/rpcsvc-proto/rpcsvc-proto-1.4.ebuild b/net-libs/rpcsvc-proto/rpcsvc-proto-1.4.ebuild
new file mode 100644
index 000000000000..af9ee8387e54
--- /dev/null
+++ b/net-libs/rpcsvc-proto/rpcsvc-proto-1.4.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit autotools
+
+DESCRIPTION="rpcsvc protocol definitions from glibc"
+HOMEPAGE="https://github.com/thkukuk/rpcsvc-proto"
+SRC_URI="https://github.com/thkukuk/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+SLOT="0"
+LICENSE="LGPL-2.1+ BSD"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86"
+IUSE=""
+
+RDEPEND="!<sys-libs/glibc-2.26"
+
+src_prepare(){
+ default
+ eautoreconf
+}
+
+src_install(){
+ default
+
+ # provided by sys-fs/quota[rpc]
+ rm "${ED%/}"/usr/include/rpcsvc/rquota.{x,h} || die
+}